Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim mahl As New cEssen
        mahl.EssenCreateDate = Now
        mahl.EssenLastUsage = Now.Date
        mahl.EssenName = "Yummy yummy yummy"
        mahl.saveAsNew()
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        Dim ding As New cMenu
        ding.MenuTitel = "Test"
        ding.MenuDateVon = Now.Date.AddDays(-2)
        ding.MenuDateVon = Now.Date.AddDays(1)
        ding.MenuDetail1 = "jupp, detail 1"

        Dim mahl As New cEssen
        mahl.EssenCreateDate = Now
        mahl.EssenLastUsage = Now.Date
        mahl.EssenName = "Yummy yummy yummy"

        ding.MenuEssenMo = mahl.EssenName
        ding.MenuID = Now & Now.AddDays(-2)

        ding.saveAsNew()
    End Sub
End Class
